[pacman-dev] [PATCH] makepkg: skip dependency checking with --verifysource

Allan McRae allan at archlinux.org
Sun Jun 29 09:29:00 EDT 2014


Dependencies are now handled with --nobuild unless specificially skipped.
Using --verifysource will skip dependency checks unless --syncdeps is
specified.

Fixes FS#35057

Signed-off-by: Allan McRae <allan at archlinux.org>
---
 scripts/makepkg.sh.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 94dd98a..917bc2c 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -2448,7 +2448,7 @@ check_vcs_software() {
 				local uninstalled
 				uninstalled="$(set +E; check_deps $client)" || exit 1
 				# if not installed, check presence in depends or makedepends
-				if [[ -n "$uninstalled" ]] && (( ! NODEPS )); then
+				if [[ -n "$uninstalled" ]] && (( ! NODEPS || ( VERIFYSOURCE && !DEP_BIN ) )); then
 					if ! in_array "$client" "${depends[@]} ${makedepends}"; then
 						error "$(gettext "Cannot find the %s package needed to handle %s sources.")" \
 								"$client" "${proto%%+*}"
@@ -3125,7 +3125,7 @@ if (( SOURCEONLY )); then
 	exit 0
 fi
 
-if (( NODEPS || (NOBUILD && !DEP_BIN ) )); then
+if (( NODEPS || ( VERIFYSOURCE && !DEP_BIN ) )); then
 	# no warning message needed for nobuild
 	if (( NODEPS )); then
 		warning "$(gettext "Skipping dependency checks.")"
-- 
2.0.1



More information about the pacman-dev mailing list